curl --request GET \
--url 'https://api.stateset.com/api/v1/fulfillment/packs' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"packs": [
{
"assigned_to": "string",
"carton_count": 1,
"created_at": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"order_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "pending",
"total_weight_kg": "string"
}
],
"total": 102
}
List packs
List packs
GET
/
api
/
v1
/
fulfillment
/
packs
curl --request GET \
--url 'https://api.stateset.com/api/v1/fulfillment/packs' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"packs": [
{
"assigned_to": "string",
"carton_count": 1,
"created_at": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"order_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "pending",
"total_weight_kg": "string"
}
],
"total": 102
}
Query parameters
string
string
string
integer (int32)
integer (int32)
Response
PackTaskListResponse
PackTaskResponse[]
required
integer (int64)
required
Status codes
| Code | Meaning |
|---|---|
200 | — |
curl --request GET \
--url 'https://api.stateset.com/api/v1/fulfillment/packs' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"packs": [
{
"assigned_to": "string",
"carton_count": 1,
"created_at": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"order_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "pending",
"total_weight_kg": "string"
}
],
"total": 102
}
Last modified on August 31, 2026